Playlist ManagementCreate Playlist

Create Playlist

Create new playlist

curl -X POST "https://api.5centscdn.com/v2/streams/scheduledplaylist/1001/playlist/new" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "_METHOD": "PUT",
  "name": "Test Final",
  "loop": "repeat",
  "type": "file",
  "schedule": "scheduleontime",
  "autorestart": "No",
  "scheduleontime": "01:00",
  "repeatfor": 1
}'
{
  "result": "success",
  "message": "Playlist Updated"
}
POST
/streams/scheduledplaylist/{streamid}/playlist/new
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
_METHODstring
Required

HTTP method override for this request. This endpoint accepts POST, but set this to PUT to perform an update operation.

namestring

Friendly name for this resource.

loopstring

Loop playback. Y means loop continuously, N means play once.

typestring

Type identifier for this resource.

schedulestring

Schedule type. Values: instant, scheduleontime, scheduleondatetime.

autorestartstring

Automatically restart the stream if it stops. 1 means enabled, 0 means disabled.

scheduleontimestring

Time of day to start the stream, in HH:MM format.

repeatforinteger

Number of times to repeat. 0 means no repeat.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

streamidstring
Required

Stream ID

Example:
1001

Body

application/json
_METHODstring
Required

HTTP method override for this request. This endpoint accepts POST, but set this to PUT to perform an update operation.

Example:
PUT
namestring

Friendly name for this resource.

Example:
Test Final
loopstring

Loop playback. Y means loop continuously, N means play once.

Example:
repeat
typestring

Type identifier for this resource.

Example:
file
schedulestring

Schedule type. Values: instant, scheduleontime, scheduleondatetime.

Example:
scheduleontime
autorestartstring

Automatically restart the stream if it stops. 1 means enabled, 0 means disabled.

Example:
No
scheduleontimestring

Time of day to start the stream, in HH:MM format.

Example:
01:00
repeatforinteger

Number of times to repeat. 0 means no repeat.

Example:
1

Responses

resultstring

Status of the API response.

messagestring

Human-readable message describing the result.